#include <iostream>
#include <iomanip>
#include <string>
#include <vector>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <queue>
#include <deque>
#include <algorithm>
using namespace std;

#define ll long long 

int main() {
    ios_base::sync_with_stdio();
    cin.tie(0), cout.tie(0);
    ll tt;
    cin>>tt;
    for(ll ij=0;ij<tt;ij++){
        ll n,m;
        cin>>n>>m;
        vector<ll>s(m);
        for(ll i=0 ;  i < m;i++){
            cin>>s[i];
        }
        sort(s.rbegin(),s.rend());
        ll ans=0;
        map<ll,ll>mp;
        for(ll i=0;i<n;i++){
            if(i+1>n){
                for(ll j=i ; j < s.size();j++){
                    mp[s[j]]++;
                }
                break;
            }else{
                ans+=s[i];
            }
        }
        ll c=0;
        ll u=0;
        for(auto el : mp){
            c++;
            if(el.second%2==1){
                ans-=el.first;
                u=1;
            }
            if(c==2 && u==1 && el.second%2==1){
                ans+=el.first;
            }else{
                if(el.second%2==1){
                    ans-=el.first;
                }
            }
        }
        cout<<ans<<endl;
    }
}
